io.vertx.ext.auth.oauth2

## Class Oauth2Credentials

- java.lang.Object
- - io.vertx.ext.auth.oauth2.Oauth2Credentials

- All Implemented Interfaces:
    Credentials

      public class Oauth2Credentials
      extends Object
      implements Credentials

  Credentials specific to the `OAuth2Auth` provider
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Oauth2Credentials()`
    `Oauth2Credentials(JsonObject jsonObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> void` | `checkValid(V arg)` Implementors should override this method to perform validation.
    `String` | `getCode()`
    `JsonObject` | `getExtra()`
    `String` | `getRedirectUri()`
    `Oauth2Credentials` | `setCode(String code)`
    `Oauth2Credentials` | `setExtra(JsonObject extra)`
    `Oauth2Credentials` | `setRedirectUri(String redirectUri)`
    `JsonObject` | `toJson()` Simple interop to downcast back to JSON for backwards compatibility.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Oauth2Credentials

          public Oauth2Credentials()

    - #### Oauth2Credentials

          public Oauth2Credentials(JsonObject jsonObject)

  - ### Method Detail

    - #### getCode

          public String getCode()

    - #### setCode

          public Oauth2Credentials setCode(String code)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public Oauth2Credentials setRedirectUri(String redirectUri)

    - #### getExtra

          public JsonObject getExtra()

    - #### setExtra

          public Oauth2Credentials setExtra(JsonObject extra)

    - #### toJson

          public JsonObject toJson()

      Description copied from interface: `Credentials`
      Simple interop to downcast back to JSON for backwards compatibility.
      Specified by:
        `toJson` in interface `Credentials`
      Returns:
        JSON representation of this credential.

    - #### checkValid

          public <V> void checkValid(V arg)
                              throws CredentialValidationException

      Description copied from interface: `Credentials`
      Implementors should override this method to perform validation. An argument is allowed to allow custom validation, for example, when given a configuration property, a specific property may be allowed to be null.
      Specified by:
        `checkValid` in interface `Credentials`
      Type Parameters:
        `V` - the generic type of the argument
      Parameters:
        `arg` - optional argument or null.
      Throws:
        `CredentialValidationException` - when the validation fails

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 Eclipse. All rights reserved.